#ifndef PV_H
#define PV_H
//
//01.01: initial version
//01.02: add FTP file function
//01.03: NTP server compatibility improvement, channel archive (DBE_LOG) processing
#define 	FW_MAJOR_VER		1
#define		FW_MINOR_VER		3
#define 	FW_DATE_Y		2009
#define		FW_DATE_M		10
#define		FW_DATE_D		21
//
#define NPVS				32		//number of PV channel
// PV number in device
#define PV_DBL_NUM			11		//=AI_END+1
#define PV_STR_NUM			3		//s0,s1,rtc
#define PV_SHORT_NUM		3		//di,do,seg
#define PV_LOG_NUM			(PV_DBL_NUM+PV_SHORT_NUM)
//
// IOC PV channel definiton
#define AI_START			0		//ai0
#define AI_END				7		//ai7
#define DO_NDX				8		//double index
#define DI_NDX				9
#define SEG_NDX				10
#define DOS_NDX				0		//short index
#define DIS_NDX				1
#define SEGS_NDX			2
#define S0_NDX				0
#define S1_NDX				1
#define RTC_NDX				2
//
#define PV_TYPE_DOUBLE		1
#define PV_TYPE_STRING		2
#define PV_TYPE_SHORT		3

#endif
